Search documentation of ExStreamClient

# ExStreamClient.Model.Permission (ExStreamClient v0.1.10)

View Source

Schema representing a Permission

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.Permission{
      action: String.t(),
      condition: %{optional(String.t()) => any()} | nil,
      custom: boolean(),
      description: String.t(),
      id: String.t(),
      level: :channel | :app,
      name: String.t(),
      owner: boolean(),
      same_team: boolean(),
      tags: [String.t()]
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()